<!--
    Andriy Andrusevych
    IT Generation
    FE JS Howework 7(3):
    Создать массив, который будет хранить в себе информацию о сотрудниках предприятия. Каждый элемент масива — объект,
       содержащий свойства: name, sName, age, occupation, и метод show, который выводит всю информацию о пользователе.
       Реализовать заполнение массива пользователем. По окончанию заполнения — вывести информацию о сотрудниках.
    
-->
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./styles/style.css">
    <title>HW 7(3)</title>
</head>

<body>

    <body>
        <div class="wrapper">
            <form action="" class="form">
                <div class="form__header">Форма додавання працівника</div>
                <div><span>Введіть імʼя:</span><input type="text" id="emplName"></div>
                <div><span>Введіть прізвище:</span><input type="text" id="emplLastName"></div>
                <div><span>Введіть посаду:</span><input type="text" id="emplOccupation"></div>
                <div><span>Введіть вік:</span><input type="number" oninput="value < 0 ? value = '' : false" id="emplAge"></div>

                <div class="form__footer">
                    <a><input onclick="save()" type="button" value="Зберегти"></a>
                    <a><input onclick="toggleFormToResult()" id="#showAll" type="button" value="Показати всіх"></a>
                </div>
            </form>

        </div>
        <div class="listAll hide">
            <table>
                <caption>Ваш список працівників</caption>
                <thead>
                    <td>Імʼя</td>
                    <td>Прізвище</td>
                    <td>Посада</td>
                    <td>Вік</td>
                </thead>
                <tr id="outcomeObject"></tr>
            </table>

            <div>
                ***
            </div>
        </div>
        <script>
            const employeesList = [];
            let form1 = document.querySelector('.wrapper');
            let listAllV = document.querySelector('.listAll');
            let employeeName = document.querySelector('#emplName');
            let employeeLastName = document.querySelector('#emplLastName');
            let employeeAge = document.querySelector('#emplAge');
            let employeeOccupation = document.querySelector('#emplOccupation');
            let row = document.getElementById('outcomeObject');

            function save() {
                employeesList.push({
                    name: employeeName.value, 
                    lastName: employeeLastName.value,
                    age: employeeAge.value,
                    occupation: employeeOccupation.value,
                    show: function () {
                        row.insertAdjacentHTML('afterEnd', 
                        '<tr><td>' +this.name+'</td>'+
                            '<td>' + this.lastName+'</td>'+
                            '<td>' + this.occupation+'</td>'+
                            '<td>' + this.age + '</td>'
                            +'</tr>');
                    }
                });
                employeeName.value = "";
                employeeLastName.value = "";
                employeeAge.value = "";
                employeeOccupation.value = "";
            }
            function toggleFormToResult() {
                form1.classList.toggle('hide');
                listAllV.classList.toggle('hide');
                employeesList.forEach(element => {
                    element.show();
                });

            }
            function get() { };
        </script>
    </body>

</html>